Subject: GEAR integration of chemical reactions

From: [email-masked] (Ross Underhill)
Date: Fri, 1 Sep 1995 13:34:07 -0400

I'm having a few problems with the integration of some chemical
reactions using the GEAR method.  The code is part of a Finite Element code.
Basicly as the material heats up the reaction starts to run away so the GEAR
integrator starts decreasing the time step in an effort to keep changes
small.  As the reaction goes to completion, however, rounding error can make
the concentrations go negative.  Once this happens the problem can very
quickly diverge.  Obviously one would like to insert constraints that
prevent the concentrations from going negative (or greater than 1).  Does
anybody know of an implementation of the GEAR method which allows for such
constraints to be put in?  

Dr. Ross Underhill
Royal Military College of Canada
Kingston, Ontario
(613) 541-6000 X6175